import "./chunk-TCCFYFTB-d3HOqL2I.js";
import "./main-CThhXnXU.js";
import "./purify.es-DT70lfR0.js";
import { i as log, r as __name } from "./src-Bf2iLOlr.js";
import { t as package_default } from "./chunk-DR5Q36YT-BflwErH1.js";
import { c as configureSvgSize } from "./chunk-ABZYJK2D-D0cLy8Bb.js";
import { t as selectSvgElement } from "./chunk-EXTU4WIE-BKNXdLmD.js";
import "./chunk-UMXZTB3W-97iS1iEl.js";
import "./chunk-4F5CHEZ2-BZq7Kom7.js";
import "./chunk-FRFDVMJY-BSBUAX7r.js";
import "./chunk-SJTYNZTY-CEG4F0pB.js";
import "./chunk-PL6DKKU2-B0MTXvyc.js";
import "./chunk-TQ3KTPDO-DiCtqVSi.js";
import "./chunk-B2363JML-D9-XOau1.js";
import { t as parse } from "./mermaid-parser.core-DreccfmS.js";
var parser = { parse: /* @__PURE__ */ __name(async (a) => {
  let o = await parse("info", a);
  log.debug(o);
}, "parse") }, DEFAULT_INFO_DB = { version: package_default.version + "" }, diagram = {
  parser,
  db: { getVersion: /* @__PURE__ */ __name(() => DEFAULT_INFO_DB.version, "getVersion") },
  renderer: { draw: /* @__PURE__ */ __name((a, o, s) => {
    log.debug("rendering info diagram\n" + a);
    let c = selectSvgElement(o);
    configureSvgSize(c, 100, 400, true), c.append("g").append("text").attr("x", 100).attr("y", 40).attr("class", "version").attr("font-size", 32).style("text-anchor", "middle").text(`v${s}`);
  }, "draw") }
};
export {
  diagram
};
